<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <div>
                    <a href="{% url 'todo_list_update' todolist_object.id %}">Edit</a>
                </div>
                <div>
                <a href="{% url 'todo_list_delete' todolist_object.id %}">DELETE</a>
                </div>
                <h1>{{ todolist_object.name }}</h1>
                <h2>Tasks</h2>
                <table>
                    <thead>
                        <tr>
                            <td>Name</td>
                            <td>Due date</td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in todolist_object.items.all %}
                        <tr>
                            <td><a href="{% url 'todo_item_update' id=item.id %}">{{ item.task }}</a></td>
                            <td>{{ item.due_date| date:"F d Y" }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
